Bug 804659 - Review Request: cdi-api - APIs for JSR-299: Contexts and Dependency Injection for Java EE
Review Request: cdi-api - APIs for JSR-299: Contexts and Dependency Injection...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Juan Hernández
Fedora Extras Quality Assurance
Depends On: 730306
  Show dependency treegraph
Reported: 2012-03-19 10:22 EDT by Asaf Shakarchi
Modified: 2013-08-05 19:17 EDT (History)
5 users (show)

See Also:
Fixed In Version: cdi-api-1.0-3.SP4.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-04-11 22:21:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
juan.hernandez: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Asaf Shakarchi 2012-03-19 10:22:49 EDT
Spec URL:


This package contains the APIs for JSR-299: Contexts and Dependency Injection for Java EE.
Comment 1 Juan Hernández 2012-03-20 10:08:07 EDT
I am taking this for review.

The requirements for the interceptors API has to be changed, as the name of that package is "jboss-interceptors-1.1-api", not "jboss-interceptors-api_1.1".
Comment 2 Asaf Shakarchi 2012-03-20 21:26:02 EDT
jboss-interceptors-1.1-api was defined correctly in the Spec file but not the one within the srpm, I updated the srpm as well,

Comment 3 Juan Hernández 2012-03-21 06:07:45 EDT
Package Review

- = N/A
x = Check
! = Problem
? = Not evaluated

[!]  Rpmlint output:

Output of rpmlint of the source package:

$ rpmlint cdi-api-1.0-2.SP4.fc18.src.rpm
cdi-api.src: W: invalid-url Source0: cdi-api-1.0.SP4.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

This warning is acceptable.

Output of rpmlint of the binary packages:

$ rpmlint cdi-api-1.0-2.SP4.fc18.noarch.rpm
cdi-api-javadoc-1.0-2.SP4.fc18.noarch.rpm cdi-api.noarch: W: incoherent-version-in-changelog 1.0.0-2 ['1.0-2.SP4.fc18', '1.0-2.SP4']
cdi-api.noarch: W: no-documentation
cdi-api-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

These documentation and spelling warnings are acceptable, but the changelog should be fixed.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3916730

[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[-]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.

Checked using a recursive diff of the sources.

[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[-]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[x]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[x]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.

Tested on: http://koji.fedoraproject.org/koji/taskinfo?taskID=3916730

=== Issues ===
1. The version in the changelog doesn't match the version and release tags, it should be like this:

* Wed Mar 16 2012 Asaf Shakarchi <asaf@redhat.com> 1.0-2.SP4
- Added required dependencies, modified patches and cleaned spec.

* Mon Feb 20 2012 Marek Goldmann <mgoldman@redhat.com> 1.0-1.SP4
- Initial packaging

=== Final Notes ===
1. Fix issue #1 and I will approve.

2. Next time, when you update an SRPM, bump the release number, update the changelog and keep the old one available instead of replacing it.
Comment 5 Juan Hernández 2012-03-26 10:45:08 EDT
Asaf, it looks good now.

*** APPROVED ***
Comment 6 Asaf Shakarchi 2012-03-26 11:45:30 EDT
New Package SCM Request
Package Name: cdi-api
Short Description: APIs for JSR-299: Contexts and Dependency Injection for Java EE
Owners: asaf
Branches: f17
InitialCC: goldmann
Comment 7 Gwyn Ciesla 2012-03-26 11:59:53 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-03-28 04:20:53 EDT
cdi-api-1.0-3.SP4.fc17 has been submitted as an update for Fedora 17.
Comment 9 Fedora Update System 2012-03-28 15:36:24 EDT
cdi-api-1.0-3.SP4.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-04-11 22:21:39 EDT
cdi-api-1.0-3.SP4.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.